aboutsummaryrefslogtreecommitdiffstats
path: root/kubernetes/policy/components/policy-api/resources/config/db_migrator_pg_policy_init.sh
diff options
context:
space:
mode:
Diffstat (limited to 'kubernetes/policy/components/policy-api/resources/config/db_migrator_pg_policy_init.sh')
-rw-r--r--kubernetes/policy/components/policy-api/resources/config/db_migrator_pg_policy_init.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/kubernetes/policy/components/policy-api/resources/config/db_migrator_pg_policy_init.sh b/kubernetes/policy/components/policy-api/resources/config/db_migrator_pg_policy_init.sh
new file mode 100644
index 0000000000..15a6e3224f
--- /dev/null
+++ b/kubernetes/policy/components/policy-api/resources/config/db_migrator_pg_policy_init.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+{{/*
+# Copyright (C) 2022, 2024 Nordix Foundation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+*/}}
+
+for schema in ${SQL_DB}; do
+ echo "Initializing $schema..."
+ /opt/app/policy/bin/prepare_upgrade.sh ${schema}
+
+ /opt/app/policy/bin/db-migrator-pg -s ${schema} -o report
+
+ /opt/app/policy/bin/db-migrator-pg -s ${schema} -o upgrade
+ rc=$?
+
+ /opt/app/policy/bin/db-migrator-pg -s ${schema} -o report
+
+ if [ "$rc" != 0 ]; then
+ break
+ fi
+done